<?php
function login($post){
	$rs = new xajaxResponse();
	if(!is_array($post)){
		$post = JSON::json2array($post);
	}
	$sesion = new Sesion();
	$rs->assign('mAcierto','style.display','none');
	$rs->assign('mError','style.display','none');
	$mError = '';
	if(empty($post['usuario'])){
		$mError .= '<div>Error en el usuario.</div>';
	}
	if(empty($post['contrasena'])){
		$mError .= '<div>Error en la contrase&ntilde;a.</div>';
	}
	$rs->script('$("html, body").animate({scrollTop:0},"slow");');
	if(empty($mError) && $sesion->iniciar($post['usuario'],sha1($post['contrasena'])) && isset($_SESSION['usuario']['id'])){
		if($_SESSION['usuario']['estado'] == '0'){
			$sesion->terminar();
			$rs->assign('mError','innerHTML','Su cuenta ha sido deshabilitada.');
			$rs->script('$("#mError").slideDown();');
			return $rs;
		}elseif($_SESSION['usuario']['privilegio']==1){
			if($_SESSION['usuario']['estacionamiento'] == '0'){
				$sesion->terminar();
				$rs->assign('mError','innerHTML','Su cuenta no posee ning&uacute;n estacionamiento.');
				$rs->script('$("#mError").slideDown();');
				return $rs;
			}elseif($_SESSION['usuario']['estacionamiento'] == '-1'){
				$rs->redirect(base.'estacionamientos',1);
			}else{
				$rs->redirect(base.'estacionamientos',1);
			}
		}elseif($_SESSION['usuario']['privilegio']==2){
			$rs->redirect(base.'a-estacionamientos',1);
		}
		$rs->assign('mAcierto','innerHTML','Se ha autenticado correctamente.');
		$rs->script('$("#mAcierto").slideDown();');
		return $rs;
	}else{
		$mError.='<div>Los datos ingresados son incorrectos.</div>';
		$rs->assign('submit','disabled',false);
	}
	$rs->assign('mError','innerHTML',$mError);
	$rs->script('$("#mError").slideDown();');
	return $rs;
}

// $xajax->configure('debug', true);
// $xajax->configure('errorHandler',true);
// $xajax->configure('logFile','xajax_error_log.log');
// $xajax->register(XAJAX_FUNCTION,'login',array('onResponseDelay' => 'cargando'));
$xajax->register(XAJAX_FUNCTION,'login');
?>